package org.jvnet.hypercompass.compass.mapping.strategy.compassmapping;

import org.jvnet.hypercompass.compass.mapping.MetaData;
import org.jvnet.hypercompass.compass.mapping.Property;
import org.jvnet.hypercompass.compass.mapping.impl.PropertyImpl;
import org.jvnet.hypercompass.compass.mapping.strategy.AbstractFieldStrategy;
import org.jvnet.hypercompass.compass.mapping.strategy.PrincipalStrategy;
import org.jvnet.jaxbcommons.util.FieldUtils;

import com.sun.tools.xjc.generator.ClassContext;
import com.sun.tools.xjc.grammar.FieldItem;

public class PropertyStrategy extends AbstractFieldStrategy {

  public PropertyStrategy(PrincipalStrategy principalStrategy) {
    super(principalStrategy);
  }

  public Object generate(ClassContext classContext, FieldItem fieldItem) {

    final Property property = new PropertyImpl();

    final String propertyName = FieldUtils.getFieldPropertyName(fieldItem);

    property.setName(propertyName);
    property.setManagedId("false");

    return property;
  }

}
