package org.jvnet.hypercompass.compass.mapping.strategy.visitor;

import org.jvnet.hypercompass.compass.mapping.strategy.AbstractClassStrategy;
import org.jvnet.hypercompass.compass.mapping.strategy.PrincipalStrategy;
import org.jvnet.hypercompass.compass.visitor.CompassCoreMappingGeneratingVisitor;

import com.sun.tools.xjc.generator.ClassContext;

public class VisitorStrategy extends AbstractClassStrategy {

  public VisitorStrategy(PrincipalStrategy principalStrategy) {
    super(principalStrategy);
  }

  public Object generate(ClassContext classContext) {
    return new CompassCoreMappingGeneratingVisitor(getPrincipalStrategy(), classContext);
  }
}
