package org.jvnet.hypercompass.customizations;

import javax.xml.namespace.QName;

public class Constants {

  public static final String NAMESPACE_URI = "http://hypercompass.jvnet.org/customizations";
  public static final String HYPERJAXB2_NAMESPACE_URI = "http://hyperjaxb2.jvnet.org/customizations";

  public static final String JAXB_PACKAGE_NAMES = "org.jvnet.hypercompass.customizations";

  public static final QName IGNORED = new QName(NAMESPACE_URI, "ignored");
  public static final QName ID = new QName(NAMESPACE_URI, "id");
  public static final QName HYPERJAXB2_ID = new QName(HYPERJAXB2_NAMESPACE_URI, "id");
  public static final QName METADATA = new QName(NAMESPACE_URI, "metaData");
  public static final QName COMPONENT = new QName(NAMESPACE_URI, "component");
  public static final QName REFERENCE = new QName(NAMESPACE_URI, "reference");
}