package org.jvnet.hypercompass.compass.mapping.strategy;


public abstract class AbstractClassStrategy implements ClassStrategy {

  private final PrincipalStrategy principalStrategy;

  public PrincipalStrategy getPrincipalStrategy() {
    return principalStrategy;
  }

  public AbstractClassStrategy(PrincipalStrategy principalStrategy) {
    this.principalStrategy = principalStrategy;
  }
}
