package org.jvnet.hypercompass.compass.mapping.strategy;


public abstract class AbstractFieldStrategy implements FieldStrategy {

  private PrincipalStrategy principalStrategy;

  public PrincipalStrategy getPrincipalStrategy() {
    return principalStrategy;
  }
  
  public void setPrincipalStrategy(PrincipalStrategy principalStrategy) {
    this.principalStrategy = principalStrategy;
  }

  public AbstractFieldStrategy(PrincipalStrategy principalStrategy) {
    this.principalStrategy = principalStrategy;
  }
  
  protected AbstractFieldStrategy()
  {
    
  }
}
